com.r3corda.node.services.statemachine / FiberRequest / ExpectingResponse

# ExpectingResponse

`class ExpectingResponse<R : Any> : FiberRequest`

A fiber which is expecting a message response.

### Constructors

<init> | `ExpectingResponse(topic: String, destination: Party?, sessionIDForSend: Long, sessionIDForReceive: Long, obj: Any?, type: Class<R>)` A fiber which is expecting a message response.

### Properties

responseType | `val responseType: Class<R>`

### Inherited Properties

destination | `val destination: Party?`
payload | `val payload: Any?`
receiveTopicSession | `val receiveTopicSession: TopicSession`
sessionIDForReceive | `val sessionIDForReceive: Long`
sessionIDForSend | `val sessionIDForSend: Long`
stackTraceInCaseOfProblems | `val stackTraceInCaseOfProblems: StackSnapshot?`
topic | `val topic: String`

### Functions

equals | `fun equals(other: Any?): Boolean`
toString | `fun toString(): String`

### Inherited Functions

hashCode | `open fun hashCode(): Int`